Bug 150458 - [update] french/verbiste version update from 0.1.27 to 0.1.31
Summary: [update] french/verbiste version update from 0.1.27 to 0.1.31
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-10 01:50 UTC by dereckson
Modified: 2010-09-13 09:43 UTC (History)
0 users

See Also:


Attachments
file.diff (1.65 KB, patch)
2010-09-10 01:50 UTC, dereckson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description dereckson 2010-09-10 01:50:04 UTC
Upgrade of french/verbiste port to the last version.

The current version in FreeBSD is 11 months late.

Those updates fix errors in software results (erroneous conjugated verbs) and some front-end bugs. Below the portion of the software's NEWS file, highlighting the changes.

--

2010-08-12: Version 0.1.31 released

    Fixed error with verb "échoir".
    Fixed bug in the GUI where wrongly accented characters would be
    displayed in the resulting conjugation (e.g., typing "etaler"
    would display the conjugation for inexistent verb "etaler",
    instead of the correct verb "étaler" with an acute accent).
    Spelling tolerance slider added to GUI: allows fuzzy matching
    of infinitives.
    Missing single-argument FrenchVerbDictionary constructor restored.
    Added self-check for single-argument FrenchVerbDictionary constructor.
    Fixed doc on FrenchVerbDictionary constructors and destructor.
    Fixed synopsis command line in verbiste.3 manual page.
    Removed 'using namespace std' directive in Trie.cpp, which imposed
    the std namespace on Verbiste client programs.
    Added computeMemoryConsumption() method to Trie class to measure
    RAM usage of this data structure (382 kB for French verbs, excluding
    "user data").
    Separator added between accented character buttons and language
    checkboxes.
    RPM spec file fixed to run texhash when installing -gnome subpackage,
    not the main package. This allows latex to find verbiste.cls.

2010-07-04: Version 0.1.30 released

    Small Italian verb dictionary added (contributed by
    Christophe Durville <http://polyglotte.tuxfamily.org>).
    GUI adjusted to allow language selection.
    Environment variable VERBISTE_LANG used in command-line tools
    to select language.
    Tabs removed from source code (expanded to 8 spaces).
    Fixed compilation warnings to satisfy gcc's -Weffc++ and
    -Wextra options.

2010-04-23: Version 0.1.29 released

    New conjugation template for verb "prévaloir".
    Fixed conjugation of verb "choir".
    Fixed some German user interface labels.
    GUI-like console application added for GUI testing purposes.

2009-10-30: Version 0.1.28 released

    Graphical user interface now tolerates missing accents.
    Buttons added to GUI to facilitate entry of accented characters
    on systems where they are not supported by the keyboard configuration.
    German translation of user interface added (provided by Chris Leick).

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-09-10 01:50:07 UTC
Maintainer of french/verbiste,

Please note that PR ports/150458 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150458

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2010-09-10 01:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Timothy Bourke 2010-09-10 05:32:03 UTC
Please accept this patch. Thank you.

I no longer have time to maintain this port.

Would the patch submitter like to become the port maintainer?

Tim.
Comment 4 Philip M. Gollucci freebsd_committer 2010-09-10 05:51:18 UTC
State Changed
From-To: feedback->open

Maintainer approved
Comment 5 Philip M. Gollucci freebsd_committer 2010-09-10 05:51:28 UTC
State Changed
From-To: open->feedback

Request feedback
Comment 6 dereckson 2010-09-10 23:35:50 UTC
I can maintain the port.

Please put MAINTAINER=     dereckson@gmail.com
Comment 7 Bernhard Froehlich freebsd_committer 2010-09-11 13:03:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->decke

I'll take it.
Comment 8 dfilter service freebsd_committer 2010-09-13 09:39:20 UTC
decke       2010-09-13 08:39:15 UTC

  FreeBSD ports repository

  Modified files:
    french/verbiste      Makefile distinfo pkg-plist 
  Log:
  - Update to 0.1.31
  - Pass maintainership to submitter
  - Add LICENSE
  
  PR:             ports/150458
  Submitted by:   Sebastien Santoro <dereckson at gmail dot com>
  Approved by:    Timothy Bourke <timbob@bigpond.com> (old maintainer), beat (co-mentor)
  
  Revision  Changes    Path
  1.18      +3 -3      ports/french/verbiste/Makefile
  1.10      +3 -3      ports/french/verbiste/distinfo
  1.8       +2 -0      ports/french/verbiste/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Bernhard Froehlich freebsd_committer 2010-09-13 09:43:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!